List agent spans
GET /api/v1/agent_spans
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Optional idempotency key for ensuring request idempotency
Null
Include human-readable summaries from schema templates (default: false for performance)
Responses
Section titled “ Responses ”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Example
{ "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80}Null
Example
successobject
A valid account ID
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nfA valid agent ID
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qrA valid agent instance ID
Example
013xrzp12g3nqk8n4evtrcj59k8dhn3tA valid agent span ID
Example
013xrzp12g3nqk8ndr93q068mw7y0nv0A valid agent span ID
Example
013xrzp12g3nqk8ndr93q068mw7y0nv0Null
Span payload data (arbitrary JSON object)
object
Name of the schema for this span
Example
llmHuman-readable title for the schema (from JSON schema, defaults to schema_name)
Example
LLMStatus of the span: ‘pending’ (not started), ‘active’ (started but not finished), ‘complete’ (finished successfully), ‘failed’ (ended with failure), or ‘cancelled’ (never started, cancelled)
Example
activeType of resource (always ‘agent_span’)
Example
agent_spandefault
Section titled “default ”Error
object
Example
bad_requestExample
errorobject
Example
validation_errorsExample
error